table:
  name: results
  schema: checks
object_relationships:
  - name: check
    using:
      manual_configuration:
        column_mapping:
          check_id: id
        insertion_order: null
        remote_table:
          name: checks
          schema: checks
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
insert_permissions:
  - role: _scoringpod
    permission:
      check: {}
      columns:
        - result_code
        - data
        - participant
        - staff
        - source
        - target
        - check_time
        - created
        - check_id
        - event_id
        - team_id
        - id
select_permissions:
  - role: _participant
    permission:
      columns:
        - check_id
        - check_time
        - created
        - event_id
        - team_id
        - id
        - participant
        - result_code
        - target
      filter:
        _and:
          - check:
              type:
                _eq: service
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
  - role: _snapshot_service
    permission:
      columns:
        - data
        - participant
        - staff
        - result_code
        - source
        - target
        - check_time
        - created
        - check_id
        - event_id
        - id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _staff
    permission:
      columns:
        - result_code
        - data
        - participant
        - staff
        - source
        - target
        - check_time
        - created
        - check_id
        - event_id
        - team_id
        - id
      filter: {}
delete_permissions:
  - role: _event_admin
    permission:
      filter: {}
